## org.apache.xerces.impl.xs
Class XMLSchemaValidator.LocalIDKey

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XMLSchemaValidator.LocalIDKey

Enclosing class:
  XMLSchemaValidator

protected static final class XMLSchemaValidator.LocalIDKey
extends java.lang.Object

Field Summary
`int` `fDepth`
`IdentityConstraint` `fId`

Constructor Summary
`XMLSchemaValidator.LocalIDKey()`
`XMLSchemaValidator.LocalIDKey(IdentityConstraint id, int depth)`

Method Summary
`boolean` `equals(java.lang.Object localIDKey)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fId

    public IdentityConstraint fId

### fDepth

    public int fDepth

Constructor Detail

### XMLSchemaValidator.LocalIDKey

    public XMLSchemaValidator.LocalIDKey()

### XMLSchemaValidator.LocalIDKey

    public XMLSchemaValidator.LocalIDKey(IdentityConstraint id,
                                         int depth)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object localIDKey)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.